org.apache.ignite.internal.processors.cluster

## Class ClusterIdAndTag

- java.lang.Object
- - org.apache.ignite.internal.processors.cluster.ClusterIdAndTag

All Implemented Interfaces:
  Serializable

    public class ClusterIdAndTag
    extends Object
    implements Serializable

Container class to send cluster ID and tag in disco data and to write them atomically to metastorage.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClusterIdAndTag(UUID id, String tag)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`UUID` `id()`
`String` `tag()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClusterIdAndTag

    public ClusterIdAndTag(UUID id,
                           String tag)

Parameters:
  `id` - Cluster ID.
  `tag` - Cluster tag.

### Method Detail

#### id

    public UUID id()

Returns:
  Value of cluster id.

#### tag

    public String tag()

Returns:
  Value of cluster tag.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021